Bug 1069648 (JON3-3) - Synchronize JVM heap arguments between JON Console and JBoss EAP standalone.conf
Summary: Synchronize JVM heap arguments between JON Console and JBoss EAP standalone.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JON3-3
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR01
: JON 3.3.0
Assignee: Stefan Negrea
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-25 13:17 UTC by Heiko W. Rupp
Modified: 2014-12-11 14:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:04:11 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JON3-3 Critical Verified [RFE] Synchronize JVM heap arguments between JON Console and JBoss EAP standalone.conf file (PRODMGT-470) 2014-08-22 13:36:38 UTC

Description Heiko W. Rupp 2014-02-25 13:17:51 UTC
In JON, on the connection settings tab of the inventory tab on an EAP 6 standalone server, you can set environment variables and command-line arguments to be passed to the EAP standalone start script. This information should be saved down to the actual start script or configuration file, so that if someone restarts the EAP instance from outside of JON it will still have these parameters and environment settings.

Comment 4 Stefan Negrea 2014-06-06 15:46:42 UTC
Additional JAVA_OPTS are appended to the end of standalone.conf and standalone.conf.bat. This setting will append to previous JAVA_OPTS and will override previous values. This configuration is done via "Connection Settings" tab of Inventory main tab for standalone servers. This is not available for domain or host controllers. To remove the RHQ added configuration just unset the value and the configuration will be cleaned of any traces of RHQ updates. 

This feature does not work if the user does not use standard standalone configuration files.

Comment 5 Stefan Negrea 2014-06-06 19:53:26 UTC
The pull request has been merged into master:

https://github.com/rhq-project/rhq/pull/42

Comment 6 JBoss JIRA Server 2014-06-06 21:14:05 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-3 to Resolved

Comment 8 Simeon Pinder 2014-07-31 15:51:49 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 10 Sunil Kondkar 2014-08-12 15:57:03 UTC
Verified on Version : 3.3.0.DR01 Build Number : 6468454:dda0a47

TCMS execution run: https://tcms.engineering.redhat.com/run/166206/


Note You need to log in before you can comment on or make changes to this bug.